Bug 168293 - Potential netconsole regression in transmit path
Potential netconsole regression in transmit path
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brian Brock
: Regression
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-09-14 12:26 EDT by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:33:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
retry transmit for up to 2 jiffies (844 bytes, patch)
2005-09-14 12:28 EDT, Jeffrey Moyer
no flags Details | Diff

  None (edit)
Description Jeffrey Moyer 2005-09-14 12:26:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
A fix for a kernel hang when the link is down for e100 adapters may incur dropped netconsole messages.  We try to transmit a message 32 times in rapid succession before declaring failure.  This should be extended to a longer period of time, to cover cases where there is a lot of network traffic.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

This patch came out of a discussion when trying to get the e100 link down fix into AS 2.1.
Comment 1 Jeffrey Moyer 2005-09-14 12:28:56 EDT
Created attachment 118805 [details]
retry transmit for up to 2 jiffies

Patch to address the potential regression.
Comment 4 Ernie Petrides 2005-11-28 18:01:30 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.11.EL).
Comment 7 Red Hat Bugzilla 2006-03-15 11:33:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.